Bug 146525 - total size of packages to download is nonsense
total size of packages to download is nonsense
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 20:17 EST by Tom Horsley
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:04:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2005-01-28 20:17:15 EST
Description of problem:

I run up2date on fc3, it downloads headers, shows me the choices
I have to pick from, I click on "select all" and then the
text field near the bottom of the screen says something like
"total size of selected packages 73kb"

The 73kb is obvious nonsense (this latest up2date run included
all the openoffice components for gosh sake :-).

Version-Release number of selected component (if applicable):

latest fc3 with all updates

How reproducible:

all the time

Steps to Reproduce:
1. see description above
2.
3.
  
Actual results:

really small number

Expected results:

really large number

Additional info:
Comment 1 Michael J. Kofler 2005-04-26 17:49:01 EDT
It's done that since nigh on RedHat 6.2, which is as far back as I've used RH.
It appears to be about equal to the number of packages you're updating (I'm
guessing it's telling us the size of the header files it gets?). It would make
more sense if it said "Number of packages to update," or "Size of header files
downloaded."  Or even better, if it calculated the actual size of all the
packages to be updated and reported it. Or you could just keep it there for
posterity. Or to trick us. 
Comment 2 Matthew Miller 2006-07-10 18:04:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:04:57 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.